Package org.apache.ignite.spi.systemview.view.datastructures

## Class AtomicStampedView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.datastructures.AtomicStampedView

-     public class AtomicStampedView
      extends Object

  `IgniteAtomicStamped` representation for a `SystemView`.
  See Also:
    `Ignite.atomicStamped(String, Object, Object, boolean)`, `Ignite.atomicStamped(String, AtomicConfiguration, Object, Object, boolean)`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected T` | `ds` | Data structure instance.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AtomicStampedView​(org.apache.ignite.internal.processors.datastructures.GridCacheRemovable ds)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `groupId()` |
    `String` | `groupName()` |
    `String` | `name()` |
    `boolean` | `removed()` |
    `String` | `stamp()` |
    `String` | `value()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ds

          protected final T extends org.apache.ignite.internal.processors.datastructures.AtomicDataStructureProxy ds

      Data structure instance.

  - ### Constructor Detail

    - #### AtomicStampedView

          public AtomicStampedView​(org.apache.ignite.internal.processors.datastructures.GridCacheRemovable ds)

      Parameters:
        `ds` - Data structure instance.

  - ### Method Detail

    - #### value

          public String value()

      Returns:
        Value.
      See Also:
        `IgniteAtomicStamped.get()`

    - #### stamp

          public String stamp()

      Returns:
        Stamp.
      See Also:
        `IgniteAtomicStamped.stamp()`

    - #### name

          public String name()

      Returns:
        Name.

    - #### groupName

          public String groupName()

      Returns:
        Group name.

    - #### groupId

          public int groupId()

      Returns:
        Group id.

    - #### removed

          public boolean removed()

      Returns:
        `True` is data structure removed.